Updates a specified tenant.
cURL
curl --request PATCH \ --url https://api.endorlabs.com/v1/tenants \ --header 'Content-Type: application/json' \ --data ' { "request": { "force": true, "update_mask": "<string>" } } '
{ "meta": { "name": "<string>", "annotations": {}, "create_time": "2023-11-07T05:31:56Z", "created_by": "<string>", "description": "<string>", "index_data": { "data": [ "<string>" ], "search_score": 123, "tenant": "<string>", "will_be_deleted_at": "2023-11-07T05:31:56Z" }, "kind": "<string>", "parent_kind": "<string>", "parent_uuid": "<string>", "references": {}, "tags": [ "<string>" ], "update_time": "2023-11-07T05:31:56Z", "updated_by": "<string>", "upsert_time": "2023-11-07T05:31:56Z", "version": "<string>" }, "spec": { "city": "<string>", "code": "<string>", "country": "<string>", "organization_urls": [ "<string>" ], "organizational_contacts": [ { "name": "<string>", "email": "<string>", "phone": "<string>" } ], "organizational_entity_name": "<string>", "phone_number": "<string>", "placement_zone": "<string>", "state": "<string>", "street": "<string>" }, "uuid": "<string>" }
Request to update a tenant.
Tenant represents a tenant in the system.
Mostly includes tenant configuration parameters.
Show child attributes
Message used for all update requests.
A successful response.
Common fields for all Endor Labs resources.
The UUID of a tenant.